Skip to main content
GET
List conversations

Headers

x-anyreach-org
string | null

Organization ID for user PATs (pat_ prefix tokens)

Query Parameters

direction
string | null

Filter by direction.

user_id
string | null

Filter by user ID (partial match).

agent_number
string | null

Filter by agent phone number (partial match).

agent_id
string | null

Filter by agent ID.

agent_version_id
string | null

Filter by agent version ID.

web_widget_id
string | null

Filter by web widget ID.

trunk_id
string | null
channel
string | null

Filter by channel.

duration_above
integer | null

Only conversations lasting at least this many seconds.

duration_below
integer | null

Only conversations lasting at most this many seconds.

user_turn_count_above
integer | null

Only conversations with at least this many user turns.

user_turn_count_below
integer | null

Only conversations with at most this many user turns.

service_version
string | null
custom_metadata
string | null

Match against attached metadata. Must be a JSON object string, e.g. {"order_id":"123"}.

status
string | null

Filter by status.

created_after
string<date-time> | null

Conversations created on or after this time.

created_before
string<date-time> | null

Conversations created on or before this time.

updated_after
string<date-time> | null

Conversations updated on or after this time.

updated_before
string<date-time> | null

Conversations updated on or before this time.

limit
integer | null

Maximum number of conversations to return.

cursor
string | null

Base64-encoded pagination cursor (the ISO 8601 created_at of the last item from the previous page).

columns
string | null

Comma-separated list of fields to return, e.g. id,status,created_at.

Response

Successful Response

id
string | null
organization_id
string | null
trunk_id
string | null
trunk_config
Trunk Config · object | null
direction
enum<string> | null

Direction of the conversation.

Available options:
inbound,
outbound
agent_id
string | null
agent_version_id
string | null
web_widget_id
string | null
agent_config
AgentConfig · object | null

Top-level agent configuration.

user_id
string | null
agent_number
string | null
channel
enum<string> | null

Channel type for the conversation.

Available options:
telephone,
webrtc,
email,
text
duration
integer | null
user_turn_count
integer | null
user_name
string
default:""
recording_details
RecordingDetail · object | null
custom_metadata
Custom Metadata · object | null
system_metadata
System Metadata · object | null
conversation
Conversation · object | null
sip
Sip · object | null
initial_context
string
default:""
summary
string
default:""
status
enum<string> | null

Status of the conversation.

Available options:
token_created,
triggered,
ringing,
in_progress,
completed,
failed,
cancelled,
transferred,
unanswered
service_version
string | null
created_at
string<date-time> | null
updated_at
string<date-time> | null
created_by
string | null
modified_by
string | null
agent
ConversationAgent · object | null

Agent reference with id and name.